<!-- 部门任务 -->
<template>
	<div class='departmentTask'>
		<!--{{taskListData}}-->
		<div>
			<el-table
							:data="taskListData"
							@row-click="openDetails"
							style="width: 100%">
				<el-table-column
								prop="title"
								label="任务名称"
								align="center">
				</el-table-column>
				<el-table-column
								prop="publisher"
								label="发布者"
								align="center">
					<template slot-scope="scope">
						<span>{{scope.row.publisher.username}}</span>
					</template>
				</el-table-column>
				<el-table-column
								prop="executor"
								align="center"
								label="执行者">
					<template slot-scope="scope">
						<span>{{scope.row.executor.username}}</span>
					</template>
				</el-table-column>
				<el-table-column
								prop="stateTime"
								label="任务开始时间"
								align="center">
				</el-table-column>
				<el-table-column
								prop="status"
								align="center"
								label="任务状态">
					<template slot-scope="scope">
						<span>{{$common.statusName(scope.row.status)}}</span>
					</template>
				</el-table-column>
			</el-table>
		</div>
	</div>
</template>

<script>
	//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
	//例如：import 《组件名称》 from '《组件路径》';

	export default {
		name: "DepartmentTask",
//import引入的组件需要注入到对象中才能使用
		components: {},
		data () {
//这里存放数据
			return {
				taskListData: [],
			};
		},
//监听属性 类似于data概念
		computed: {},
//监控data中的数据变化
		watch: {},
//方法集合
		methods: {
			openDetails(val) {
				console.log(val)
				localStorage.setItem('taskDetail', this.$Base64.encode(JSON.stringify(val)));
				this.$router.push({name: 'taskDetails'});
			},
			getDeaprtmentTask(val) {
				this.$axios.getTaskFindById(val).then((res) => {
					console.log(res)
					if (res.status === 200) {
						this.taskListData = res.data;
					}
				})
			}
		},
//生命周期 - 创建完成（可以访问当前this实例）
		created () {

		},
//生命周期 - 挂载完成（可以访问DOM元素）
		mounted () {
			let data = JSON.parse(this.$Base64.decode(localStorage.getItem('login')));
			console.log(data)
			let that = this;
			setTimeout(function () {
				that.getDeaprtmentTask(data.id);
			}, 200)
		},
		beforeCreate () {
		}, //生命周期 - 创建之前
		beforeMount () {
		}, //生命周期 - 挂载之前
		beforeUpdate () {
		}, //生命周期 - 更新之前
		updated () {
		}, //生命周期 - 更新之后
		beforeDestroy () {
		}, //生命周期 - 销毁之前
		destroyed () {
		}, //生命周期 - 销毁完成
		activated () {
		}, //如果页面有keep-alive缓存功能，这个函数会触发
	}
</script>
<style scoped>
</style>
